Bug 968774 - Failed to save host group
Failed to save host group
Status: CLOSED DUPLICATE of bug 970663
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.1
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Marek Hulan
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 20:48 EDT by Og Maciel
Modified: 2014-01-27 08:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 07:09:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-05-29 20:48:11 EDT
Description of problem:

Failed to save host group from Foreman UI.

Version-Release number of selected component (if applicable):


How reproducible:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-cert-consumer-qeblade35.rhq.lab.eng.bos.redhat.com-1.0-1.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10002-41.noarch
* foreman-postgresql-1.1.10002-41.noarch
* katello-1.4.2-7.el6sat.noarch
* katello-all-1.4.2-7.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-6.el6sat.noarch
* katello-cli-common-1.4.2-6.el6sat.noarch
* katello-common-1.4.2-7.el6sat.noarch
* katello-configure-1.4.3-10.el6sat.noarch
* katello-configure-foreman-1.4.3-10.el6sat.noarch
* katello-foreman-all-1.4.2-7.el6sat.noarch
* katello-glue-candlepin-1.4.2-7.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-7.el6sat.noarch
* katello-glue-pulp-1.4.2-7.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch
* ruby193-rubygem-net-ldap-0.2.2-7.el6_4.noarch
* signo-0.0.12-1.el6sat.noarch
* signo-katello-0.0.12-1.el6sat.noarch

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Started POST "/foreman/hostgroups" for 127.0.0.1 at 2013-05-29 20:45:46 -0400
Processing by HostgroupsController#create as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"HhWUUtbhkqIRYMp9bW6d+COMRfiMMIer3zjTGD/V4/w=", "hostgroup"=>{"parent_id"=>"", "name"=>"qegroup", "environment_id"=>"4", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""], "domain_id"=>"1", "subnet_id"=>"1", "architecture_id"=>"1", "operatingsystem_id"=>"1", "medium_id"=>"6", "ptable_id"=>"1", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"1369874746440"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "_destroy"=>"kt_activation_keys", "nested"=>""}, "1369874746508"=>{"name"=>"kt_org", "value"=>"[FILTERED]", "_destroy"=>"kt_org", "nested"=>""}, "1369874746556"=>{"name"=>"kt_env", "value"=>"[FILTERED]", "_destroy"=>"kt_env", "nested"=>""}, "1369874746605"=>{"name"=>"kt_cv", "value"=>"[FILTERED]", "_destroy"=>"kt_cv", "nested"=>""}}, "organization_ids"=>["", "", "2"]}, "kt_activation_keys"=>"ActivationKey1", "commit"=>"Submit"}
Failed to save: 
Deface: 3 overrides found for 'hostgroups/_form'
Deface: 'add_activation_keys_tab' matched 1 times with 'ul.nav > code[erb-silent]:contains("show_organization_tab?") ~ code[erb-silent]:contains("end")'
Deface: 'add_activation_keys_tab_pane' matched 1 times with 'div.tab-content > code[erb-silent]:contains("show_organization_tab?") ~ code[erb-silent]:contains("end")'
Deface: 'hostgroups_update_environments_select' matched 1 times with 'code[erb-loud]:contains("select_f"):contains(":environment_id")'
  Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)
  Rendered puppetclasses/_classes.html.erb (4.3ms)
  Rendered puppetclasses/_class_selection.html.erb (8.0ms)
  Rendered common/_domain.html.erb (6.8ms)
  Rendered common/_domain_subnet.html.erb (14.3ms)
  Rendered common/os_selection/_architecture.html.erb (4.5ms)
  Rendered common/os_selection/_operatingsystem.html.erb (7.7ms)
  Rendered common/os_selection/_initial.html.erb (16.7ms)
  Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
  Rendered puppetclasses/_classes_parameters.html.erb (12.2ms)
  Rendered common_parameters/_puppetclass_parameter.erb (4.4ms)
  Rendered common_parameters/_puppetclasses_parameters.erb (19.7ms)
  Rendered common_parameters/_parameter.erb (1.2ms)
  Rendered common_parameters/_parameter.erb (1.0ms)
  Rendered common_parameters/_parameter.erb (1.0ms)
  Rendered common_parameters/_parameter.erb (1.0ms)
  Rendered common_parameters/_parameter.erb (1.0ms)
  Rendered common_parameters/_parameters.erb (8.6ms)
  Rendered hostgroups/_form.html.erb (112.6ms)
  Rendered hostgroups/new.html.erb within layouts/application (203.9ms)
  Rendered home/_user_dropdown.html.erb (0.9ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_topbar.html.erb (1.2ms)
Completed 200 OK in 280ms (Views: 192.9ms | ActiveRecord: 36.1ms)
Comment 1 Mike McCune 2013-05-30 00:35:03 EDT
can we get some steps or something to reproduce this?
Comment 3 Og Maciel 2013-05-31 15:44:18 EDT
Still around with MDP1 of May 31, 2013:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-cert-consumer-qeblade35.rhq.lab.eng.bos.redhat.com-1.0-1.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10002-44.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-postgresql-1.1.10002-44.noarch
* foreman-proxy-1.1.10002-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-8.el6sat.noarch
* katello-all-1.4.2-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-6.el6sat.noarch
* katello-cli-common-1.4.2-6.el6sat.noarch
* katello-common-1.4.2-8.el6sat.noarch
* katello-configure-1.4.3-12.el6sat.noarch
* katello-configure-foreman-1.4.3-12.el6sat.noarch
* katello-foreman-all-1.4.2-8.el6sat.noarch
* katello-glue-candlepin-1.4.2-8.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
* katello-glue-pulp-1.4.2-8.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch
* ruby193-rubygem-net-ldap-0.2.2-7.el6_4.noarch
* signo-0.0.15-1.el6sat.noarch
* signo-katello-0.0.15-1.el6sat.noarch


Started POST "/foreman/hostgroups" for 127.0.0.1 at 2013-05-31 15:32:20 -0400
Processing by HostgroupsController#create as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"N9bX2iENIWsE0OHgsicjrjVg+kjMl0FdZUHeaCN8voo=", "hostgroup"=>{"parent_id"=>"", "name"=>"qegroup", "environment_id"=>"7", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""], "domain_id"=>"1", "subnet_id"=>"1", "architecture_id"=>"1", "operatingsystem_id"=>"1", "medium_id"=>"6", "ptable_id"=>"1", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"1370028740376"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "_destroy"=>"kt_activation_keys", "nested"=>""}, "1370028740432"=>{"name"=>"kt_org", "value"=>"[FILTERED]", "_destroy"=>"kt_org", "nested"=>""}, "1370028740468"=>{"name"=>"kt_env", "value"=>"[FILTERED]", "_destroy"=>"kt_env", "nested"=>""}, "1370028740512"=>{"name"=>"kt_cv", "value"=>"[FILTERED]", "_destroy"=>"kt_cv", "nested"=>""}}, "organization_ids"=>["", "", "2"]}, "kt_activation_keys"=>"ActivationKey1", "commit"=>"Submit"}
Failed to save: 
  Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)
  Rendered puppetclasses/_classes.html.erb (12.9ms)
  Rendered puppetclasses/_class_selection.html.erb (18.5ms)
  Rendered common/_domain.html.erb (6.1ms)
  Rendered common/_domain_subnet.html.erb (10.7ms)
  Rendered common/os_selection/_architecture.html.erb (3.0ms)
  Rendered common/os_selection/_operatingsystem.html.erb (5.8ms)
  Rendered common/os_selection/_initial.html.erb (10.9ms)
  Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
  Rendered puppetclasses/_classes_parameters.html.erb (4.7ms)
  Rendered common_parameters/_puppetclass_parameter.erb (2.7ms)
  Rendered common_parameters/_puppetclasses_parameters.erb (6.1ms)
  Rendered common_parameters/_parameter.erb (1.7ms)
  Rendered common_parameters/_parameter.erb (1.7ms)
  Rendered common_parameters/_parameter.erb (1.6ms)
  Rendered common_parameters/_parameter.erb (1.6ms)
  Rendered common_parameters/_parameter.erb (1.0ms)
  Rendered common_parameters/_parameters.erb (10.8ms)
  Rendered hostgroups/_form.html.erb (87.2ms)
  Rendered hostgroups/new.html.erb within layouts/application (87.7ms)
  Rendered home/_user_dropdown.html.erb (0.9ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_topbar.html.erb (1.2ms)
Completed 200 OK in 227ms (Views: 72.4ms | ActiveRecord: 46.0ms)
Comment 4 Og Maciel 2013-05-31 17:55:56 EDT
Here's the entire transaction:

Started GET "/foreman/hostgroups/new" for 127.0.0.1 at 2013-05-31 16:13:09 -0400
Processing by HostgroupsController#new as HTML
  Rendered common/_domain.html.erb (1.0ms)
  Rendered common/_domain_subnet.html.erb (5.2ms)
  Rendered common/os_selection/_architecture.html.erb (1.2ms)
  Rendered common/os_selection/_operatingsystem.html.erb (2.0ms)
  Rendered common/os_selection/_initial.html.erb (5.3ms)
  Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
  Rendered puppetclasses/_classes_parameters.html.erb (4.9ms)
  Rendered common_parameters/_puppetclass_parameter.erb (2.7ms)
  Rendered common_parameters/_puppetclasses_parameters.erb (4.2ms)
  Rendered common_parameters/_parameter.erb (1.7ms)
  Rendered common_parameters/_parameters.erb (3.0ms)
  Rendered hostgroups/_form.html.erb (45.9ms)
  Rendered hostgroups/new.html.erb within layouts/application (46.3ms)
  Rendered home/_user_dropdown.html.erb (1.3ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_topbar.html.erb (1.6ms)
Completed 200 OK in 58ms (Views: 45.0ms | ActiveRecord: 8.2ms)


Started GET "/foreman/foreman_katello_engine/activation_keys?environment_id=7" for 127.0.0.1 at 2013-05-31 16:13:18 -0400


Started POST "/foreman/hostgroups/environment_selected" for 127.0.0.1 at 2013-05-31 16:13:18 -0400
Processing by ForemanKatelloEngine::ActivationKeysController#index as */*
  Parameters: {"environment_id"=>"7"}
Processing by HostgroupsController#environment_selected as */*
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"N9bX2iENIWsE0OHgsicjrjVg+kjMl0FdZUHeaCN8voo=", "hostgroup"=>{"parent_id"=>"", "name"=>"qegroup", "environment_id"=>"7", "puppet_proxy_id"=>"", "domain_id"=>"", "architecture_id"=>"", "root_pass"=>"[FILTERED]", "organization_ids"=>["", "", "2"]}, "kt_activation_keys"=>"", "host_id"=>"null"}
  Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)
  Rendered puppetclasses/_classes.html.erb (0.1ms)
  Rendered puppetclasses/_class_selection.html.erb (2.1ms)
Completed 200 OK in 9ms (Views: 2.3ms | ActiveRecord: 1.7ms)
Completed 200 OK in 552ms (Views: 0.4ms | ActiveRecord: 2.1ms)


Started POST "/foreman/hostgroups/domain_selected" for 127.0.0.1 at 2013-05-31 16:13:29 -0400
Processing by HostgroupsController#domain_selected as */*
  Parameters: {"domain_id"=>"1", "organization_id"=>["2"]}
  Rendered common/_domain.html.erb (4.9ms)
Completed 200 OK in 12ms (Views: 4.2ms | ActiveRecord: 2.5ms)


Started POST "/foreman/hostgroups/architecture_selected" for 127.0.0.1 at 2013-05-31 16:13:51 -0400
Processing by HostgroupsController#architecture_selected as */*
  Parameters: {"architecture_id"=>"1", "organization_id"=>["2"]}
  Rendered common/os_selection/_architecture.html.erb (3.8ms)
Completed 200 OK in 14ms (Views: 4.1ms | ActiveRecord: 2.0ms)


Started POST "/foreman/hostgroups/os_selected" for 127.0.0.1 at 2013-05-31 16:13:55 -0400
Processing by HostgroupsController#os_selected as */*
  Parameters: {"operatingsystem_id"=>"1", "organization_id"=>["2"]}
  Rendered common/os_selection/_operatingsystem.html.erb (5.0ms)
Completed 200 OK in 12ms (Views: 4.3ms | ActiveRecord: 2.7ms)


Started POST "/foreman/hostgroups/medium_selected" for 127.0.0.1 at 2013-05-31 16:13:58 -0400
Processing by HostgroupsController#medium_selected as */*
  Parameters: {"hostgroup"=>{"medium_id"=>"6", "operatingsystem_id"=>"1", "architecture_id"=>"1", "use_image"=>"false"}}
  Rendered common/os_selection/_image_details.html.erb (1.9ms)
Completed 200 OK in 9ms (Views: 2.3ms | ActiveRecord: 1.0ms)

Started POST "/foreman/hostgroups" for 127.0.0.1 at 2013-05-31 16:14:40 -0400
Processing by HostgroupsController#create as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"N9bX2iENIWsE0OHgsicjrjVg+kjMl0FdZUHeaCN8voo=", "hostgroup"=>{"parent_id"=>"", "name"=>"qegroup", "environment_id"=>"7", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""], "domain_id"=>"1", "subnet_id"=>"1", "architecture_id"=>"1", "operatingsystem_id"=>"1", "medium_id"=>"6", "ptable_id"=>"1", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"1370031279819"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "_destroy"=>"kt_activation_keys", "nested"=>""}, "1370031279881"=>{"name"=>"kt_org", "value"=>"[FILTERED]", "_destroy"=>"kt_org", "nested"=>""}, "1370031279935"=>{"name"=>"kt_env", "value"=>"[FILTERED]", "_destroy"=>"kt_env", "nested"=>""}, "1370031279990"=>{"name"=>"kt_cv", "value"=>"[FILTERED]", "_destroy"=>"kt_cv", "nested"=>""}}, "organization_ids"=>["", "", "2"]}, "kt_activation_keys"=>"ActivationKey1", "commit"=>"Submit"}
Failed to save: 
  Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)
  Rendered puppetclasses/_classes.html.erb (1.7ms)
  Rendered puppetclasses/_class_selection.html.erb (2.7ms)
  Rendered common/_domain.html.erb (5.9ms)
  Rendered common/_domain_subnet.html.erb (9.8ms)
  Rendered common/os_selection/_architecture.html.erb (2.9ms)
  Rendered common/os_selection/_operatingsystem.html.erb (5.6ms)
  Rendered common/os_selection/_initial.html.erb (10.4ms)
  Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
  Rendered puppetclasses/_classes_parameters.html.erb (4.5ms)
  Rendered common_parameters/_puppetclass_parameter.erb (2.5ms)
  Rendered common_parameters/_puppetclasses_parameters.erb (4.2ms)
  Rendered common_parameters/_parameter.erb (1.7ms)
  Rendered common_parameters/_parameter.erb (1.7ms)
  Rendered common_parameters/_parameter.erb (1.6ms)
  Rendered common_parameters/_parameter.erb (1.4ms)
  Rendered common_parameters/_parameter.erb (1.0ms)
  Rendered common_parameters/_parameters.erb (10.2ms)
  Rendered hostgroups/_form.html.erb (63.5ms)
  Rendered hostgroups/new.html.erb within layouts/application (63.9ms)
  Rendered home/_user_dropdown.html.erb (0.8ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_topbar.html.erb (1.2ms)
Completed 200 OK in 103ms (Views: 58.8ms | ActiveRecord: 15.8ms)


Started GET "/foreman/foreman_katello_engine/activation_keys?environment_id=7" for 127.0.0.1 at 2013-05-31 16:14:42 -0400
Processing by ForemanKatelloEngine::ActivationKeysController#index as */*
  Parameters: {"environment_id"=>"7"}
Completed 200 OK in 600ms (Views: 0.4ms | ActiveRecord: 1.4ms)
Comment 5 Marek Hulan 2013-06-05 10:41:05 EDT
may be a duplication of bug #970663 as a workaround, make sure you did not select organization, proper fix will be ready soon
Comment 6 Marek Hulan 2013-06-11 07:09:40 EDT

*** This bug has been marked as a duplicate of bug 970663 ***

Note You need to log in before you can comment on or make changes to this bug.